Skip to main content
PUT
/
lead
/
{id}
Atualizar Lead
curl --request PUT \
  --url https://sell.ia.proativia.com/api/v1/lead/{id} \
  --header 'Content-Type: application/json' \
  --header 'Token: <api-key>' \
  --data '
{
  "name": "<string>",
  "email": "<string>",
  "phone": "5547999999999",
  "source": "<string>",
  "leadOwner": "<string>",
  "profileImage": "<string>",
  "zipCode": "<string>",
  "state": "<string>",
  "city": "<string>",
  "neighborhood": "<string>",
  "streetAddress": "<string>",
  "number": "<string>",
  "complement": "<string>",
  "description": "<string>",
  "leadType": "<string>",
  "leadTemperature": 1,
  "status": "<string>"
}
'
{
  "message": "Operação realizada com sucesso."
}

Authorizations

Token
string
header
required

Token de autenticacao gerado na plataforma Sell.IA.

Path Parameters

id
string
required

Identificador único do recurso.

Body

application/json
name
string
email
string
phone
string

Telefone no formato 5547999999999 (pais + DDD + numero, sem espacos ou simbolos).

Example:

"5547999999999"

source
string
leadOwner
string
profileImage
string
zipCode
string
state
string
city
string
neighborhood
string
streetAddress
string
number
string
complement
string
description
string
leadType
string
leadTemperature
enum<integer>

Temperatura do lead: 1 (Frio), 2 (Morno), 3 (Quente).

Available options:
1,
2,
3
status
string

Response

Lead atualizado com sucesso.

message
string
Example:

"Operação realizada com sucesso."